package com.yonyou.occ.codegenerator;

import org.apache.commons.lang3.StringUtils;

/**
 * 代码生成器入口
 *
 * @author wangruiv
 * @date 2017-06-18 11:21:31
 */
public class CodeGeneratorEntry {
    /**
     * 原顶级包路径
     */
    private static final String OLD_BASE_PACKAGE = "com.yonyou.ocm";

    /**
     * 新的顶级包路径
     */
    private static final String NEW_BASE_PACKAGE = "com.yonyou.occ";

    /**
     * PDM文件路径
     */
    private static final String PDM_FILE = "E:\\Yonyou\\project\\OCC\\PDM\\demo.pdm";

    /**
     * 物理表名称（英文逗号分隔）
     */
    private static final String TABLE_CODES = "DEMO_PERSON_INFO";

    /**
     * 参照类型
     */
    private static final String REFERENCE_TYPE = ""; // [空字符串], Grid, Tree, TreeGrid

    /**
     * 是否使用了自定义档案参照
     */
    private static final boolean IF_USE_CUST_DOC_DEF_REF = false;

    /**
     * 作者
     */
    private static final String AUTHOR = "yonyou";

    /**
     * 目标项目根路径
     */
    private static final String TARGET_PROJECT_ROOT_PATH = "E:\\Yonyou\\project\\OTHER\\occ-toolkit\\code\\";

    /**
     * 代码生成主函数
     *
     * @param args args
     */
    public static void main(String[] args) {
        for (String tableCode : TABLE_CODES.split(",")) {
            if (StringUtils.isEmpty(tableCode)) {
                continue;
            }
            tableCode = tableCode.trim();
            CodeGenerator codeGenerator = new CodeGenerator(OLD_BASE_PACKAGE, NEW_BASE_PACKAGE, PDM_FILE, tableCode,
                    REFERENCE_TYPE, IF_USE_CUST_DOC_DEF_REF, AUTHOR, TARGET_PROJECT_ROOT_PATH);
            codeGenerator.run();
        }
    }
}
